package com.engine.salary.mapper.datacollection;

import com.engine.salary.entity.datacollection.po.VariableItemPO;

import java.util.List;

/**
 * @author Harryxzy
 * @ClassName VariableItemMapper
 * @date 2024/08/07 9:26
 * @description 浮动薪酬项目
 */
public interface VariableItemMapper {
    /**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
    List<VariableItemPO> listAll();

    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<VariableItemPO> listSome(VariableItemPO variableItem);


    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
    VariableItemPO getById(Long id);

    /**
     * 新增，忽略null字段
     *
     * @param variableItem 新增的记录
     * @return 返回影响行数
     */
    int insertIgnoreNull(VariableItemPO variableItem);

    /**
     * 修改，修改所有字段
     *
     * @param variableItem 修改的记录
     * @return 返回影响行数
     */
    int update(VariableItemPO variableItem);

    /**
     * 修改，忽略null字段
     *
     * @param variableItem 修改的记录
     * @return 返回影响行数
     */
    int updateIgnoreNull(VariableItemPO variableItem);

    /**
     * 删除记录
     *
     * @param variableItem 待删除的记录
     * @return 返回影响行数
     */
    int delete(VariableItemPO variableItem);
}
